#ifndef SYM_TABLE_H
#define SYM_TABLE_H

#include <iostream>
#include <cstdlib>
#include <map>

class SymbolTable {

private:
    std::map<std::string, int> _vars;
public:
    SymbolTable() {}

    bool DefineVariable(const std::string& name, int val);
    bool GetVariable(const std::string& name, int* pval) const;
    bool VariableDefined(const std::string& name) const;
    bool UpdateVariable(const std::string& name, int val);
};

#endif
